> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# list

### GET /locations/:location\_id/scheduling\_leads

This endpoint retrieves scheduling leads for a specific location.

#### Parameters

* location\_id (required): The ID of the location for which scheduling leads are to be retrieved.
* after: A parameter to specify the cursor for pagination.
* items: A parameter to specify the number of items to be returned.
* The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC as shown in example below

```json theme={null}
{
    "q": {
        "fetch_modified_since": "2025-12-02T01:58:00.164Z"
    }
}
```

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/scheduling_leads" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/scheduling_leads", {
    headers: {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN"
    }
  })

  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/scheduling_leads",
      headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  )

  data = response.json()
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "json"

  uri = URI("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/scheduling_leads")
  request = Net::HTTP::Get.new(uri)
  request["Authorization"] = "Bearer YOUR_ACCESS_TOKEN"

  response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
    http.request(request)
  end

  data = JSON.parse(response.body)
  ```
</CodeGroup>

#### Response

* Content-Type: application/json

```json theme={null}
{
    "data": [
        {
            "id": "string",
            "type": "string",
            "attributes": {
                "lead_type": "string",
                "source_type": "string",
                "tenant_id": "number",
                "attribution_params": {
                    "utm_source": "string",
                    "utm_medium": "string",
                    "utm_campaign": "string",
                    "utm_term": "string",
                    "utm_channel": "string",
                    "utm_ad": "string",
                    "utm_ci": "string",
                    "utm_cm": "string",
                    "callreport_id": "string",
                    "campaignid": "string",
                    "call_start_utc": "string",
                    "call_end_utc": "string",
                    "call_start_local": "string",
                    "call_end_local": "string",
                    "duration_seconds": "string",
                    "termination_number": "string",
                    "caller_number": "string",
                    "caller_id": "string"
                },
                "patient": "patient object",
                "appointment": "appointment object"
            }
        }
    ],
    "pagy": {
        "total": "number",
        "items": "number"
    }
}
```
